OpenGLRaw-3.3.4.1: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2019
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.GL.SGIX.IglooInterface

Contents

- Extension Support
- Functions

Description

Synopsis

- glGetSGIXIglooInterface :: MonadIO m => m Bool
- gl_SGIX_igloo_interface :: Bool
- glIglooInterfaceSGIX :: MonadIO m => GLenum -> Ptr a -> m ()

# Extension Support

glGetSGIXIglooInterface :: MonadIO m => m Bool Source #

Is the SGIX_igloo_interface extension supported?

gl_SGIX_igloo_interface :: Bool Source #

Is the SGIX_igloo_interface extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetSGIXIglooInterface` in those cases instead.

# Functions

glIglooInterfaceSGIX Source #

Arguments

:: MonadIO m |
=> GLenum | `pname` of type IglooFunctionSelectSGIX.
-> Ptr a | `params` pointing to `COMPSIZE(pname)` elements of type `IglooParameterSGIX`.
-> m () |